<?xml version="1.0" encoding="utf-8"?>
<!--
 * Copyright (C) 2011 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 -->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
     package="android.security.cts">

    <uses-permission android:name="android.permission.DISABLE_KEYGUARD"/>
    <uses-permission android:name="android.permission.KILL_BACKGROUND_PROCESSES"/>
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE"/>
    <uses-permission android:name="android.permission.INTERNET"/>
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS"/>
    <uses-permission android:name="android.permission.RECORD_AUDIO"/>
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW"/>
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.QUERY_ALL_PACKAGES"/>
    <uses-permission android:name="android.permission.PACKAGE_USAGE_STATS"/>
    <uses-permission android:name="android.permission.INTERACT_ACROSS_USERS"/>


    <!-- For FileIntegrityManager -->
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES"/>

    <application android:usesCleartextTraffic="true">
        <uses-library android:name="android.test.runner"/>
        <uses-library android:name="org.apache.http.legacy"
             android:required="false"/>

        <service android:name="android.security.cts.SeccompDeathTestService"
             android:process=":death_test_service"
             android:isolatedProcess="true"
             android:exported="true"/>

        <service android:name="android.security.cts.IsolatedService"
             android:process=":Isolated"
             android:isolatedProcess="true"/>

        <service android:name="android.security.cts.activity.SecureRandomService"
             android:process=":secureRandom"/>

        <service android:name="android.security.cts.BitmapService"
                 android:process=":bitmap_service" />

        <activity android:name="android.security.cts.MotionEventTestActivity"
             android:label="Test MotionEvent"
             android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.FRAMEWORK_INSTRUMENTATION_TEST"/>
            </intent-filter>
        </activity>

        <activity android:name=".SlipperyEnterBottomActivity"
                  android:label="Slippery enter"
                  android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.FRAMEWORK_INSTRUMENTATION_TEST"/>
            </intent-filter>
        </activity>

        <activity android:name="android.security.cts.BinderExploitTest$CVE_2019_2213_Activity"
             android:label="Test Binder Exploit Race Condition activity"
             android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>

        <activity android:name="android.security.cts.NanoAppBundleTest$FailActivity"
             android:label="Test Nano AppBundle customized failure catch activity"
             android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.RUN"/>
                <category android:name="android.intent.category.DEFAULT"/>
            </intent-filter>
        </activity>

        <service android:name="android.security.cts.NanoAppBundleTest$AuthenticatorService"
             android:enabled="true"
             android:exported="true">
            <intent-filter>
                <action android:name="android.accounts.AccountAuthenticator"/>
            </intent-filter>
            <meta-data android:name="android.accounts.AccountAuthenticator"
                 android:resource="@xml/authenticator"/>
        </service>

        <activity android:name="android.security.cts.SkiaJpegDecodingActivity"
             android:label="Test overflow in libskia JPG processing"
             android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.FRAMEWORK_INSTRUMENTATION_TEST"/>
            </intent-filter>
        </activity>

        <receiver android:name="android.security.cts.PackageVerificationsBroadcastReceiver"
             android:permission="android.permission.BIND_PACKAGE_VERIFIER"
             android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.PACKAGE_NEEDS_VERIFICATION"/>
                <data android:mimeType="application/vnd.android.package-archive"/>
            </intent-filter>
        </receiver>

        <activity android:name="android.security.cts.CVE_2021_0339$FirstActivity"
             android:label="TAT Anim1"
             android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>

        <activity android:name="android.security.cts.CVE_2021_0339$SecondActivity"
             android:label="TAT Anim2"
             android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>

        <activity android:name="android.security.cts.CVE_2021_0327.IntroActivity"
             android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity android:name="android.security.cts.CVE_2021_0327.OtherUserActivity"
             android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity android:name="android.security.cts.CVE_2021_0327.TestActivity"
             android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
             android:name="android.security.cts.CVE_2021_0327.workprofilesetup.ProvisionedActivity"
             android:exported="true">
            <intent-filter>
                <action android:name="android.app.action.PROVISIONING_SUCCESSFUL" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>

        <activity android:name="android.security.cts.StartForFutureActivity"
                  android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>

        <receiver
            android:name="android.security.cts.CVE_2021_0327.workprofilesetup.AdminReceiver"
            android:permission="android.permission.BIND_DEVICE_ADMIN"
            android:exported="true">
            <meta-data
                android:name="android.app.device_admin"
                android:resource="@xml/device_admin" />
            <intent-filter>
                <action android:name="android.app.action.DEVICE_ADMIN_ENABLED" />
            </intent-filter>
        </receiver>

        <provider
            android:name="android.security.cts.CVE_2021_0327.BadProvider"
            android:authorities="android.security.cts.CVE_2021_0327.BadProvider"
            android:exported="false"
            android:grantUriPermissions="true"
            android:process=":badprovider" />

        <activity android:name="android.security.cts.CVE_2022_20143.PocActivity"
                  android:exported="true">
            <intent-filter>
                <action android:name="android.app.action.AUTOMATIC_ZEN_RULE"/>
            </intent-filter>
        </activity>

        <receiver android:name="android.security.cts.CVE_2022_20420.PocDeviceAdminReceiver"
            android:exported="true"
            android:permission="android.permission.BIND_DEVICE_ADMIN">
            <meta-data android:name="android.app.device_admin"
                android:resource="@xml/device_admin_CVE_2022_20420" />
            <intent-filter>
                <action android:name="android.app.action.DEVICE_ADMIN_ENABLED" />
            </intent-filter>
        </receiver>

        <activity android:name="android.security.cts.ActivityManagerTest$ActivityOptionsActivity" />
        <activity android:name="android.security.cts.ActivityManagerTest$BaseActivity" />

        <provider android:name="android.security.cts.CVE_2022_20358.PocContentProvider"
            android:authorities="android.security.cts.CVE_2022_20358.provider"
            android:enabled="true"
            android:exported="true" />

        <service android:name="android.security.cts.CVE_2022_20358.PocSyncService"
            android:enabled="true"
            android:exported="true">
            <intent-filter>
                <action android:name="android.content.SyncAdapter" />
            </intent-filter>
            <meta-data android:name="android.content.SyncAdapter"
                android:resource="@xml/syncadapter" />
        </service>

    </application>

    <instrumentation android:name="androidx.test.runner.AndroidJUnitRunner"
         android:targetPackage="android.security.cts"
         android:label="CTS tests of android.security.cts">
        <meta-data android:name="listener"
             android:value="com.android.cts.runner.CtsTestRunListener"/>
    </instrumentation>
    <instrumentation android:name="androidx.test.runner.AndroidJUnitRunner"
         android:targetPackage="android.security.cts"
         android:label="CTS tests of android.security.cts">
        <meta-data android:name="listener"
             android:value="com.android.cts.runner.CrashParserRunListener"/>
    </instrumentation>

</manifest>
